Skip to main content
DELETE
Archive company

Endpoint

Route: /companies/{companyId}
Authentication: Bearer JWT
Path parameter: companyId — object ID DELETE archives the object. The record is kept and archived is set to an ISO timestamp.

Response fields after archive

The 200 response uses default properties plus archived_by:
created_at and updated_at are always included in every response.

Response example

Errors

Authorizations

Authorization
string
header
required

Bearer JWT with valid account context.

Path Parameters

companyId
string
required

Object identifier

Response

Archived object

id
string
external_id
string | null
company_name
string | null
description
string | null
industry
string | null
company_owner
string | null

Assigned owner email

Example:

"jane@example.com"

created_at
string<date-time>
updated_at
string<date-time>
archived

false when active, or ISO timestamp when archived

archived_by
string